* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background: #f5f7fa;
}

.contact-section {
    background: white
}

.container {
    max-width: 1100px;
    margin: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.info {
    padding-top: 100px;
}

.info h2 {
    font-size: 32px;
    margin-bottom: 10px;
}

.info h2 span {
    font-weight: 700;
}

.info p {
    color: #555;
    line-height: 1.6;
    margin-bottom: 30px;
}

.info h4 {
    font-size: 14px;
    letter-spacing: 1px;
    margin-bottom: 15px;
}

.contact-details {
    list-style: none;
    padding: 1rem;
    color: #444;
}

.contact-details li {
    margin-bottom: 15px;
    line-height: 1.5;
}

/* RIGHT SIDE FORM */
.form-card {
    height: 600px;
    position: relative;
}

.inner-form-card {
    position: absolute;
    background: #fff;
    padding: 30px;
    border-radius: 10px 10px 0 0;
    box-shadow: 0 -15px 30px rgba(0, 0, 0, 0.08);
    width: 100%;
    height: 90%;
    padding-bottom: 4rem;
    bottom: 0px;
}

.form-card h3 {
    margin-bottom: 20px;
    font-size: 22px;
}

.form-card h3 span {
    font-weight: 700;
}

form input,
form textarea {
    width: 100%;
    padding: 12px 14px;
    border: 1px solid #ddd;
    border-radius: 6px;
    font-size: 14px;
}

form textarea {
    min-height: 120px;
    resize: vertical;
}

form button {
    background: #2ea6d6;
    color: #fff;
    border: none;
    padding: 12px 20px;
    border-radius: 25px;
    font-size: 14px;
    cursor: pointer;
    width: 50%;
    transition: background 0.3s ease;
}

form button:hover {
    background: #1d8bb8;
}

.kontakttekst {
    font-size: 20px;
    color: #505050;
}


/* RESPONSIVE */
@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr;
    }

    .form-card {
        margin-top: 30px;
    }
}